Subject: bug#20677: closed (Re: bug#20677: tooltips generate garbage)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 Jun 2015 00:51:04 +0000

Your bug report

#20677: tooltips generate garbage

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20677: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20677
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20677: tooltips generate garbage
From: YAMAMOTO Mitsuharu <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], YAMAMOTO Mitsuharu <[email-masked]>, [email-masked]
Date: Fri, 05 Jun 2015 09:50:13 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>>> On Thu, 04 Jun 2015 18:37:51 +0300, Eli Zaretskii <[email-masked]> said:

>> > So which one of them is better, and should be pushed?
>> 
>> Thanks for testing.  The second one is closer to the code before
>> the cairo merge, but the first would be better if it works.

> I agree that the first patch looks better, as x_clear_area1 sounds
> like a helper function.  So I suggest that we push that in a couple
> of days.

I pushed the first patch in dcf18b5.

				     YAMAMOTO Mitsuharu
				[email-masked]

Subject: tooltips generate garbage
From: Angelo Graziosi <[email-masked]>
To: [email-masked]
Date: Wed, 27 May 2015 23:40:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

After tooltips show up, they do not disappear moving the mouse but leave 
garbage in the Emacs frame.

I see this (on GNU/Linux, GTK build) in recent Emacs master.

This DID NOT happen with the builds I did a few week ago (May 13).

Usually "emacs -Q" is enough to see this issue. It seems a redrawing 
problem because when I click on the upper-right '-' button which reduce 
Emacs to an icon in status bar and then re-enlarging, the garbage 
disappears (but re-appears if the mouse pointer is over an element which 
needs a tooltip).

Ciao,
  Angelo.